commit:     b21f66e447a5ab12147d04d457f52c69d55a3c16
Author:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 31 21:06:11 2020 +0000
Commit:     Fabian Groffen <grobian <AT> gentoo <DOT> org>
CommitDate: Thu Dec 31 21:06:11 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/prefix.git/commit/?id=b21f66e4

dev-lang/ptyhon-3.8.6-r1: fix configure on arm64-macos

Package-Manager: Portage-3.0.12-prefix, Repoman-3.0.2
Signed-off-by: Fabian Groffen <grobian <AT> gentoo.org>

 dev-lang/python/python-3.8.6-r1.ebuild | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/dev-lang/python/python-3.8.6-r1.ebuild 
b/dev-lang/python/python-3.8.6-r1.ebuild
index 176d1f9718..dc142e4b90 100644
--- a/dev-lang/python/python-3.8.6-r1.ebuild
+++ b/dev-lang/python/python-3.8.6-r1.ebuild
@@ -101,6 +101,14 @@ src_prepare() {
                        configure.ac configure || die
        fi
 
+       # Python doesn't know about arm64-macos yet
+       if [[ ${CHOST} == arm64-*-darwin* ]] ; then
+               # Teach Python a new trick (arm64)
+               sed -i \
+                       -e "/Unexpected output of 'arch' on OSX/d" \
+                       configure.ac configure || die
+       fi
+
        # side-effect of disabling scproxy (see below), make sure we don't
        # try to use it on Darwin either
        sed -i -e '/sys.platform/s/darwin/disabled-darwin/' \

Reply via email to